/*
 * Copyright (c) 2000 Blue Mug, Inc.  All Rights Reserved.
 */

#ifndef _SHOEHORN_UTIL_H
#define _SHOEHORN_UTIL_H

#if 0
#if !defined(WIN32)
typedef int _fd_type;
#else
#include <windows.h>
typedef long ssize_t;
typedef HANDLE _fd_type;
#endif
#endif

#if !defined(min)
#define min(a,b)	((a)<(b) ? (a) : (b))
#endif

void print_perror(const char *errstr);
void print_size(unsigned long start, int size);
int read_file(const char *filename, void **_buf, int *size);

#if 0
extern void *xmalloc(size_t size);

extern void xclose(_fd_type fd);
extern ssize_t xread(_fd_type fd, void *buf, size_t count);
extern ssize_t xaread(_fd_type fd, void *buf, size_t count);
extern ssize_t xwrite(_fd_type fd, const void *buf, size_t count);
extern ssize_t xawrite(_fd_type fd, const void *buf, size_t count);
#endif
#endif /* _SHOEHORN_UTIL_H */
